import request from '@/utils/request'

// 查询志愿锁分列表
export function listBusiScoreLock(query) {
  return request({
    url: '/voluntary/busiScoreLock/list',
    method: 'get',
    params: query
  })
}

// 查询志愿锁分详细
export function getBusiScoreLock(id) {
  return request({
    url: '/voluntary/busiScoreLock/' + id,
    method: 'get'
  })
}

// 新增志愿锁分
export function addBusiScoreLock(data) {
  return request({
    url: '/voluntary/busiScoreLock',
    method: 'post',
    data: data
  })
}

// 修改志愿锁分
export function updateBusiScoreLock(data) {
  return request({
    url: '/voluntary/busiScoreLock',
    method: 'put',
    data: data
  })
}

// 删除志愿锁分
export function delBusiScoreLock(id) {
  return request({
    url: '/voluntary/busiScoreLock/' + id,
    method: 'delete'
  })
}
